package com.emato.cus.supervise.mapper;

import com.emato.cus.supervise.domain.WmsAcqShelfLoad04;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 货物上下架数据 WMS
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 15:38
 */
@Repository
public interface WmsAcqShelfLoadMapper04 {
    /**
     * 货物上下架数据 上架
     * @param param
     * @return
     */
    List<WmsAcqShelfLoad04> getWmsAcqShelfLoadUp(Map<String, Object> param);

    /**
     * 货物上下架数据 退港
     * @param param
     * @return
     */
    List<WmsAcqShelfLoad04> getWmsAcqShelfLoadBack(Map<String, Object> param);

    /**
     * 货物上下架数据 正常拣货
     * @param param
     * @return
     */
    List<WmsAcqShelfLoad04> getWmsAcqShelfLoadOut(Map<String, Object> param);
}
