package com.emato.cus.supervise.service.wms.impl;

import com.emato.cus.supervise.domain.WmsAcqGoodsMove05;
import com.emato.cus.supervise.mapper.WmsAcqGoodsMoveMapper05;
import com.emato.cus.supervise.service.wms.WmsAcqGoodsMoveService05;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 货物库位移动数据 WMS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 16:30
 */
@Service
public class WmsAcqGoodsMoveServiceImpl05 implements WmsAcqGoodsMoveService05 {

    @Autowired
    private WmsAcqGoodsMoveMapper05 wmsAcqGoodsMoveMapper05;

    @Override
    @Transactional(value ="primaryTransactionManager")
    public List<WmsAcqGoodsMove05> getWmsAcqGoodsMove(Map<String, Object> param) {
        return wmsAcqGoodsMoveMapper05.getWmsAcqGoodsMove(param);
    }
}
