package com.emato.cus.supervise.service.wms.impl;

import com.emato.cus.supervise.domain.WmsAcqShelfLoad04;
import com.emato.cus.supervise.mapper.WmsAcqShelfLoadMapper04;
import com.emato.cus.supervise.service.wms.WmsAcqShelfLoadService04;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 货物上下架数据 WMS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 16:30
 */
@Service
public class WmsAcqShelfLoadServiceImpl04 implements WmsAcqShelfLoadService04 {

    @Autowired
    private WmsAcqShelfLoadMapper04 wmsAcqShelfLoadMapper04;

    @Override
    @Transactional(value ="primaryTransactionManager")
    public List<WmsAcqShelfLoad04> getWmsAcqShelfLoadUp(Map<String, Object> param) {
        return wmsAcqShelfLoadMapper04.getWmsAcqShelfLoadUp(param);
    }

    @Override
    @Transactional(value ="primaryTransactionManager")
    public List<WmsAcqShelfLoad04> getWmsAcqShelfLoadBack(Map<String, Object> param) {
        return wmsAcqShelfLoadMapper04.getWmsAcqShelfLoadBack(param);
    }

    @Override
    @Transactional(value ="primaryTransactionManager")
    public List<WmsAcqShelfLoad04> getWmsAcqShelfLoadOut(Map<String, Object> param) {
        return wmsAcqShelfLoadMapper04.getWmsAcqShelfLoadOut(param);
    }
}
