package com.emato.cus.supervise;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication(
		exclude ={
				// 多数据源,不使用自动配置
				DataSourceAutoConfiguration.class
		},scanBasePackages = {
		"com.emato.cus.supervise"
	}
)
//允许事务
@EnableTransactionManagement
public class CusWmsSuperviseApplication {

	public static void main(String[] args) {
		SpringApplication.run(CusWmsSuperviseApplication.class, args);
	}
}
