package com.emato.cus.supervise.service.wms.impl;

import com.emato.cus.supervise.domain.WmsAcqGoodsSeat06;
import com.emato.cus.supervise.mapper.WmsAcqGoodsSeatMapper06;
import com.emato.cus.supervise.service.wms.WmsAcqGoodsSeatService06;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 库位货物数据 WMS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 16:30
 */
@Service
public class WmsAcqGoodsSeatServiceImpl06 implements WmsAcqGoodsSeatService06 {

    @Autowired
    private WmsAcqGoodsSeatMapper06 wmsAcqGoodsSeatMapper06;

    @Override
    @Transactional(value ="primaryTransactionManager")
    public List<WmsAcqGoodsSeat06> getWmsAcqGoodsSeat(Map<String, Object> param) {
        return wmsAcqGoodsSeatMapper06.getWmsAcqGoodsSeat(param);
    }
}
