package com.emato.cus.supervise.service.wms.impl;

import com.emato.cus.supervise.domain.WmsAcqInventoryInfo03;
import com.emato.cus.supervise.mapper.WmsAcqInventoryInfoMapper03;
import com.emato.cus.supervise.service.wms.WmsAcqInventoryInfoService03;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 库存数据 WMS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 16:30
 */
@Service
public class WmsAcqInventoryInfoServiceImpl03 implements WmsAcqInventoryInfoService03 {

    @Autowired
    private WmsAcqInventoryInfoMapper03 wmsAcqInventoryInfoMapper03;

    @Override
    @Transactional(value ="primaryTransactionManager")
    public List<WmsAcqInventoryInfo03> getWmsAcqInventoryInfo(Map<String, Object> param) {
        return wmsAcqInventoryInfoMapper03.getWmsAcqInventoryInfo(param);
    }
}
